Need dll for WinSCP Version 4.2.7.0

Advertisement

RavirajaYedla
Joined:
Posts:
1
Location:
Hyderabad

Need dll for WinSCP Version 4.2.7.0

Hi,
Good Evening All...

As per our requirement we need to get files from sftp folder.As of now what we did is we downloaded a WinScp Version 5.11.2 and we took it up.But in our client environment they are using WinScp 4.2.7.0.WinScp Dll Version is Miss matched..

Error Message:-

Error: Error when using WinSCP to download files: WinSCP.SessionLocalException: The version of C:\Program Files (x86)\WinSCP\WinSCP.exe (4.2.7.0) does not match version of this assembly C:\Program Files\Microsoft SQL Server\100\DTS\binn\WinSCPnet.DLL (5.11.2.0).


Can any one help me on this....

Thanks in advance..!

Regards..
Ravi..

Reply with quote

Advertisement

martin
Site Admin
martin avatar
Joined:
Posts:
29,762
Location:
Prague, Czechia

Re: Need dll for WinSCP Version 4.2.7.0

Do not use WinSCP 4.2.7! It's 8 years old software. Not secure anymore.

Use the latest version of WinSCP. If you can deploy the latest version of WinSCPnet.dll, I do not see any reason why you could not deploy the latest version of WinSCP.exe.
Also note that you can use multiple versions of WinSCP in parallel. You actually should not rely on the installed version of WinSCP.exe! Your code that uses WinSCPnet.dll should have its own copy of compatible WinSCP.exe.
See https://winscp.net/eng/docs/library_install#installing

Reply with quote

Advertisement

You can post new topics in this forum